<?
$cena=100;
if(isset($_POST['nick']) && $_POST['mdp']==$ku['mdp'])
{
if($ku['rubies']>=$cena)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1"),0)!=0)err_game("Этот ник уже зарегистрирован. Выберите другой!");
elseif( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))err_game('В нике присутствуют запрещенные символы');
elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))err_game('Запрещено использовать пробел в начале и конце ника');
elseif (strlen2($_POST['nick'])<4)err_game('Короткий ник');
elseif (strlen2($_POST['nick'])>16)err_game('Длина ника превышает 16 символов');
else
{
update_ku('nick',my_esc($_POST['nick']));
update_ku('autologin',md5("nick:".$_POST['nick'].",password:".$ku['password'].",id:".$ku['id'].""));
$ku['rubies']=minus_rubies($cena);
$_SESSION['msg']="Ник успешно изменён!";
header("Location:?user=$ku[id]");
exit;
}
}
else no_rubies($cena-$ku['rubies']);
}
?>
<div class="event">
<h1>Смена ника</h1>
</div>
<div class="content">
<div class="block">
<div>
Услуга является платной и стоит <img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span>100</span> рубинов.<br/>
Внимание! после смены ника изменится автологин.</div>
<form class="pt" method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo md5($ku['password']);?>"></div>
<label>
<div>Новый ник:</div>
<div><input type="text" class="wide" value="" maxlength="25" size="10"
name="nick"></div>
</label>
<div>
<input type="submit" value="Сменить">
</div>
</form>
</div>
<? include_once 'inc/foot.php'; ?>